Skip to main content

Submódulos

Conteúdo do módulo

Este módulo fornece acesso aos endpoints account activity da X API e serve como o principal ponto de entrada para toda a funcionalidade relacionada a account activity.

class xdk.account_activity.AccountActivityClient

Client para operações de account activity

Parâmetros

Client

__init__

Parâmetros

Client

create_replay_job

Create replay job Creates a replay job to retrieve activities from up to the past 5 days for all subscriptions associated with a given webhook.

Parâmetros

Any
The unique identifier for the webhook configuration.
str
The oldest (starting) UTC timestamp (inclusive) from which events will be provided, in yyyymmddhhmm format.
str
The latest (ending) UTC timestamp (exclusive) up to which events will be provided, in yyyymmddhhmm format.

Retorna

CreateReplayJobResponse - Response data

create_subscription

Create subscription Creates an Account Activity subscription for the user and the given webhook.

Parâmetros

Any
The webhook ID to check subscription against.
CreateSubscriptionRequest
Request body

delete_subscription

Delete subscription Deletes an Account Activity subscription for the given webhook and user ID.

Parâmetros

Any
The webhook ID to check subscription against.
Any
User ID to unsubscribe from.

Retorna

DeleteSubscriptionResponse - Response data

get_subscription_count

Get subscription count Retrieves a count of currently active Account Activity subscriptions. :returns: Response data :rtype: GetSubscriptionCountResponse

Retorna

GetSubscriptionCountResponse

get_subscriptions

Get subscriptions Retrieves a list of all active subscriptions for a given webhook.

Parâmetros

Any
The webhook ID to pull subscriptions for.

Retorna

GetSubscriptionsResponse - Response data

validate_subscription

Validate subscription Checks a user’s Account Activity subscription for a given webhook.

Parâmetros

Any
The webhook ID to check subscription against.

Retorna

ValidateSubscriptionResponse - Response data